# [Управление процессами](README.en.md)

Создание архива, переключение домена, составление скриптов и создание репозиториев для публикации.

| № | Скрипты Bash                                   | Выполняемые действия                                                              |
|---|:-----------------------------------------------|:----------------------------------------------------------------------------------|
| 1 | [**archive_backup.sh**](archive_backup.sh)     | Создание общего архива для каталогов проектов на текущую дату.                    |
|   | [archive_cleanup.sh](archive_cleanup.sh)       | Удаление файлов и папок из каталогов проектов перед восстановлением архива.       |
|   | [archive_packaging.sh](archive_packaging.sh)   | Сборка вёб-сайтов, упаковка и копирование архивов для развёртывания.              |
| 2 | [**info_param.sh**](info_param.sh)             | Параметр для других скриптов. Переключение домена удалённого репозитория.         |
|   | [info_references.sh](info_references.sh)       | Обновление домена удалённого репозитория в перекрёстных ссылках в описаниях.      |
|   | [info_tree_license.sh](info_tree_license.sh)   | Построение дерева каталогов для каждого проекта и копирование файлов лицензии.    |
| 3 | [**repo_compose.sh**](repo_compose.sh)         | Создание скриптов из шаблонов с параметрами и сохранение их в каталогах проектов. |
|   | [repo_forgejo.tmpl.sh](repo_forgejo.tmpl.sh)   | Шаблон скрипта без параметров для создания удалённого репозитория forgejo.        |
|   | [repo_forgejo2.tmpl.sh](repo_forgejo2.tmpl.sh) | Шаблон скрипта без параметров для развёртывания вёб-сайта на сервере codeberg.    |
|   | [repo_gitlab.tmpl.sh](repo_gitlab.tmpl.sh)     | Шаблон скрипта без параметров для создания удалённого репозитория gitlab.         |
|   | [repo_local.tmpl.sh](repo_local.tmpl.sh)       | Шаблон скрипта без параметров для создания локального репозитория git.            |
| 4 | [**repo_orchestrate.sh**](repo_orchestrate.sh) | Параллельное выполнение скриптов и создание репозиториев для каталогов проектов.  |
|   | [repo_pages2.sh](repo_pages2.sh)               | Параллельное выполнение скриптов и развёртывание вёб-сайтов на сервере codeberg.  |
|   | [repo_testing.smpl.sh](repo_testing.smpl.sh)   | Образец скрипта для тестирования доступности страниц в вёб-интерфейсе на сервере. |

## Каталоги проектов

Локальные каталоги проектов расположены на одном уровне. На сервере
репозитории с вёб-сайтами переходят в отдельную группу, а остальные
репозитории остаются у пользователя. Структура каталогов для
[codeberg&period;org](https://codeberg&period;org/golovin),
[git&period;org&period;ru](https://git&period;org&period;ru/golovin) и
[hub&period;mos&period;ru](https://hub&period;mos&period;ru/golovin).

<pre>
.
├─ <a href='https://git.org.ru/golovin/color-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>color-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/older-tomato-theme/src/branch/master/DIRECTORY_TREE.md'>older-tomato-theme</a>
├─ <a href='https://git.org.ru/golovin/pomodoro/src/branch/master/DIRECTORY_TREE.md'>pomodoro</a>
├─ <a href='https://git.org.ru/pomodoro/1/src/branch/master/DIRECTORY_TREE.md'>pomodoro1</a>
├─ <a href='https://git.org.ru/pomodoro/2/src/branch/master/DIRECTORY_TREE.md'>pomodoro2</a>
├─ <a href='https://git.org.ru/pomodoro/3/src/branch/master/DIRECTORY_TREE.md'>pomodoro3</a>
├─ <a href='https://git.org.ru/pomodoro/4/src/branch/master/DIRECTORY_TREE.md'>pomodoro4</a>
├─ <a href='https://git.org.ru/pomodoro/5/src/branch/master/DIRECTORY_TREE.md'>pomodoro5</a>
└─ <a href='https://git.org.ru/pomodoro/6/src/branch/master/DIRECTORY_TREE.md'>pomodoro6</a>
</pre>
